/*
 * Copyright (c) 2021 Nordic Semiconductor ASA
 *
 * SPDX-License-Identifier: LicenseRef-Nordic-5-Clause
 */

#include "app_task.h"
#include <syscalls/hwinfo.h>

#include <logging/log.h>

LOG_MODULE_REGISTER(app, CONFIG_MATTER_LOG_LEVEL);

int main()
{
	uint32_t cause;
	int ret = hwinfo_get_reset_cause(&cause);
	hwinfo_clear_reset_cause();
	LOG_ERR("cause n %d", cause);
	CHIP_ERROR err = GetAppTask().StartApp();
	LOG_ERR("Exited with code %" CHIP_ERROR_FORMAT, err.Format());
	return err == CHIP_NO_ERROR ? EXIT_SUCCESS : EXIT_FAILURE;
}
